### Function

# FwupdPlugin xor8

since: 2.1.1

#### Declaration [src]

    guint8
    fu_xor8 (
      const guint8* buf,
      gsize bufsz
    )

#### Description [src]

Returns the bitwise XOR of all bytes in `buf`.

Available since: 2.1.1

#### Parameters

`buf`

  Type: `const guint8*`

  Memory buffer.

  The data is owned by the caller of the function.

`bufsz`

  Type: `gsize`

  Size of `buf`.

#### Return value

Type: `guint8`

Xor value.